## vor 0.5.3

=== Makefile ===
#   Variations on Rockdodger
#   Copyright (C) 2004  Joshua Grams <josh@qualdan.com>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

DATA_PREFIX := /usr/share/vor
PROGRAM_PREFIX := /usr/games/bin

CFLAGS := -Wall -O3
LDFLAGS := 

paths := -DDATA_PREFIX=\"$(DATA_PREFIX)\"
sdl-cflags := $(shell sdl-config --cflags)
sdl-ldflags := $(shell sdl-config --libs)

ldflags := $(sdl-ldflags) -lSDL_image -lSDL_mixer $(LDFLAGS)
cflags := $(sdl-cflags) $(paths) $(CFLAGS)

my_objects := args.o dust.o file.o mt.o rocks.o score.o sprite.o sound.o autopilot.o
my_objects += main.o
libs := font.o
objects := $(libs) $(my_objects)

rocks := 00 01 02 03 04 05 06 07 08 09
rocks += 10 11 12 13 14 15 16 17 18 19
rocks += 20 21 22 23 24 25 26 27 28 29
rocks += 30 31 32 33 34 35 36 37 38 39
rocks += 40 41 42 43 44 45 46 47 48 49
rocks := $(rocks:%=data/rock%.png)
graphics := data/ship.png data/icon.png data/life.png data/font.png $(rocks)

INSTALL := install
INSTALL_PROGRAM := $(INSTALL) -o games -g games
INSTALL_DATA := $(INSTALL) -m 644


.PHONY: all clean maintainer-clean install uninstall
.PHONY: mkinstalldirs rminstalldirs
.PHONY: program program-clean install-program uninstall-program
.PHONY: data data-clean install-data uninstall-data

all: program data

data: $(graphics)

program: vor

%.o: %.c
	@echo compiling $@ from $<
	@$(CC) $(cflags) -c -o $@ $<

$(my_objects): config.h

font.o: font.h

args.o: args.h

dust.o: globals.h dust.h float.h mt.h

file.o: file.h common.h

main.o: args.h common.h dust.h file.h float.h globals.h mt.h rocks.h score.h sprite.h sound.h autopilot.h

mt.o: mt.h

rocks.o: rocks.h common.h file.h globals.h mt.h sprite.h

score.o: score.h common.h file.h

sound.o: sound.h args.h common.h

sprite.o: sprite.h common.h

vor: $(objects)
	@echo linking $@ from $^
	@$(CC) $^ $(ldflags) -o $@

include gfx.mk

tags: *.c *.h
	exuberant-ctags *.c *.h /usr/include/SDL/*

clean: program-clean
	rm -f tags

maintainer-clean: program-clean data-clean

program-clean:
	rm -f *.o vor

data-clean:
	rm -f $(graphics) font_guts font_guts.pov

mkinstalldirs:
	if [ ! -d $(DATA_PREFIX) ]; then mkdir $(DATA_PREFIX); fi

rminstalldirs:
	if [ -d $(DATA_PREFIX) ]; then rmdir $(DATA_PREFIX); fi

install: all mkinstalldirs install-program install-data

install-program: program
	$(INSTALL_PROGRAM) ./vor $(PROGRAM_PREFIX)

install-data: data
	$(INSTALL_DATA) ./data/*.png $(DATA_PREFIX)/
	$(INSTALL_DATA) ./data/*.wav $(DATA_PREFIX)/
	$(INSTALL_DATA) ./data/*.mod $(DATA_PREFIX)/
	@echo
	@echo "$(DATA_PREFIX)/icon.png (48x48) or ship.png (32x32) make good icons."
	@echo

uninstall: uninstall-program uninstall-data rminstalldirs

uninstall-program:
	rm -f $(PROGRAM_PREFIX)/vor

uninstall-data:
	rm -f $(DATA_PREFIX)/*.png
	rm -f $(DATA_PREFIX)/*.wav
	rm -f $(DATA_PREFIX)/*.mod

## vor 0.5.4

=== Makefile ===
--- 
+++ 
@@ -15,13 +15,17 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-DATA_PREFIX := /usr/share/vor
-PROGRAM_PREFIX := /usr/games/bin
+prefix = /usr/local
+exec_prefix = $(prefix)
+
+datarootdir = $(prefix)/share
+pkgdatadir = $(datarootdir)/vor
+bindir = $(exec_prefix)/bin
 
 CFLAGS := -Wall -O3
 LDFLAGS := 
 
-paths := -DDATA_PREFIX=\"$(DATA_PREFIX)\"
+paths := -DDATA_PREFIX=\"$(pkgdatadir)\"
 sdl-cflags := $(shell sdl-config --cflags)
 sdl-ldflags := $(shell sdl-config --libs)
 
@@ -42,7 +46,7 @@
 graphics := data/ship.png data/icon.png data/life.png data/font.png $(rocks)
 
 INSTALL := install
-INSTALL_PROGRAM := $(INSTALL) -o games -g games
+INSTALL_PROGRAM := $(INSTALL)
 INSTALL_DATA := $(INSTALL) -m 644
 
 
@@ -51,6 +55,8 @@
 .PHONY: program program-clean install-program uninstall-program
 .PHONY: data data-clean install-data uninstall-data
 
+.INTERMEDIATE: font_guts font_guts.pov
+
 all: program data
 
 data: $(graphics)
@@ -58,8 +64,7 @@
 program: vor
 
 %.o: %.c
-	@echo compiling $@ from $<
-	@$(CC) $(cflags) -c -o $@ $<
+	$(CC) $(cflags) -c -o $@ $<
 
 $(my_objects): config.h
 
@@ -84,8 +89,7 @@
 sprite.o: sprite.h common.h
 
 vor: $(objects)
-	@echo linking $@ from $^
-	@$(CC) $^ $(ldflags) -o $@
+	$(CC) $^ $(ldflags) -o $@
 
 include gfx.mk
 
@@ -104,30 +108,31 @@
 	rm -f $(graphics) font_guts font_guts.pov
 
 mkinstalldirs:
-	if [ ! -d $(DATA_PREFIX) ]; then mkdir $(DATA_PREFIX); fi
+	if [ ! -d $(DESTDIR)$(pkgdatadir) ]; then mkdir -p $(DESTDIR)$(pkgdatadir); fi
+	if [ ! -d $(DESTDIR)$(bindir) ]; then mkdir -p $(DESTDIR)$(bindir); fi
 
-rminstalldirs:
-	if [ -d $(DATA_PREFIX) ]; then rmdir $(DATA_PREFIX); fi
+rminstalldirs: uninstall-data
+	if [ -d $(DESTDIR)$(pkgdatadir) ]; then rmdir $(DESTDIR)$(pkgdatadir); fi
 
 install: all mkinstalldirs install-program install-data
 
 install-program: program
-	$(INSTALL_PROGRAM) ./vor $(PROGRAM_PREFIX)
+	$(INSTALL_PROGRAM) ./vor $(DESTDIR)$(bindir)/
 
-install-data: data
-	$(INSTALL_DATA) ./data/*.png $(DATA_PREFIX)/
-	$(INSTALL_DATA) ./data/*.wav $(DATA_PREFIX)/
-	$(INSTALL_DATA) ./data/*.mod $(DATA_PREFIX)/
+install-data: data mkinstalldirs
+	$(INSTALL_DATA) ./data/*.png $(DESTDIR)$(pkgdatadir)/
+	$(INSTALL_DATA) ./data/*.wav $(DESTDIR)$(pkgdatadir)/
+	$(INSTALL_DATA) ./data/*.xm $(DESTDIR)$(pkgdatadir)/
 	@echo
-	@echo "$(DATA_PREFIX)/icon.png (48x48) or ship.png (32x32) make good icons."
+	@echo "$(pkgdatadir)/icon.png (48x48) or ship.png (32x32) make good icons."
 	@echo
 
 uninstall: uninstall-program uninstall-data rminstalldirs
 
 uninstall-program:
-	rm -f $(PROGRAM_PREFIX)/vor
+	rm -f $(DESTDIR)$(bindir)/vor
 
 uninstall-data:
-	rm -f $(DATA_PREFIX)/*.png
-	rm -f $(DATA_PREFIX)/*.wav
-	rm -f $(DATA_PREFIX)/*.mod
+	rm -f $(DESTDIR)$(pkgdatadir)/*.png
+	rm -f $(DESTDIR)$(pkgdatadir)/*.wav
+	rm -f $(DESTDIR)$(pkgdatadir)/*.xm

## vor 0.5.5

=== debian/changelog ===
vor (0.5.5-2ubuntu1) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS. 

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Apr 2013 15:47:48 -0400

vor (0.5.5-2) unstable; urgency=low

  [ Davide Governale ]
  * debian/control: package moved to contrib (Closes: #562098)
  * debian/patches/00-fix_file.c.path added, search data in
    /usr/share first, thanks to Artur R. Czechowski (Closes: #562203)
  * debian/vor.desktop: fixed GenericName and Icon
  * debian/vor.6: fixed AUTHOR section

  [ David Paleino ]
  * debian/control:
    - added myself to Uploaders
    - bump Standards-Version to 3.8.4, no changes needed
    - rewrapped B-D field, removed B-D on quilt
    - added Vcs-* fields
  * debian/source/format: use 3.0 (quilt)
  * debian/rules: remove "--with quilt"

 -- David Paleino <dapal@debian.org>  Fri, 11 Jun 2010 08:22:32 +0200

vor (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #440952) 

 -- Davide Governale <magellanino@gmail.com>  Sun, 20 Dec 2009 17:01:30 +0100

=== debian/control ===
Source: vor
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Davide Governale <magellanino@gmail.com>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , autotools-dev
 , libsdl1.2-dev
 , libsdl-image1.2-dev
 , libsdl-mixer1.2-dev
Standards-Version: 3.8.4
Homepage: http://jasonwoof.org/vor
Vcs-Git: git://git.debian.org/git/collab-maint/vor.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vor.git

Package: vor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast-pace, difficult and addictive rocks dodging game
 This is a fairly hard game, intended to be a quickie game for when
 you want to kill a few spare minutes.
 The most important thing is to tap the keys very gently!
 Overcontrolling is the leading cause of death among new rockdodgers!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --bindir /usr/games

%:
	dh $@

=== debian/watch ===
version=3
http://qualdan.com/vor/vor-(\d+.*)\.tar\.bz2

## vor 0.5.7

=== debian/changelog ===
vor (0.5.7-2) unstable; urgency=medium

  * Fixes and updates
  * debian/control:
    - Updates Standards-Version to 4.1.3
    - Updates home and git links to https
    - Updates debhelper compat version to 11
  * debian/rules
    - Enables hardening options
    - Removes deprecated autotools-dev
  * debian/watch
    - Fixes regex so that upstream filenames are picked up correctly
  * debian/changelog
    - Bumps version number
  * debian/compat
    - Updates compat version number to 11

 -- Ana Custura <ana@netstat.org.uk>  Fri, 26 Jan 2018 12:18:28 +0000

vor (0.5.7-1) unstable; urgency=medium

  * New upstream release, fixes string formatting compiler warnings
    (Closes: #824156)
  * Adds information to manpages (Closes: #824159) 
  * Changes watch file location

 -- Ana Custura <ana@netstat.org.uk>  Mon, 23 May 2016 22:42:35 +0100

vor (0.5.6-1) unstable; urgency=medium

  * Repackages VOR in Debian (Closes: #814390)  

 -- Ana Custura <ana@netstat.org.uk>  Thu, 28 Apr 2016 14:41:37 +0100

=== debian/control ===
Source: vor
Section: games
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>=11),autotools-dev,libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
Standards-Version: 4.1.3
Homepage: https://sametwice.com/vor
Vcs-Git: https://anonscm.debian.org/git/pkg-games/vor.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/vor.git

Package: vor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D action game about dodging rocks in space
 VoR is a simple, fast-paced action game that will challenge your reflexes. It
 has excellent gameplay, great physics, good graphics, and a retro/synthoid
 thumpy beat to help put you in the mood for old-school 2D gaming.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --max-parallel=1
override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games
override_dh_auto_build:
	dh_auto_build
	make vor.desktop

=== debian/watch ===
version=4

   https://jasonwoof.com/downloads/vor/ \
   vor-(\d[\d.]*)\.tgz debian uupdate

## vor 0.5.8

=== debian/changelog ===
vor (0.5.8-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version 0.5.8 (Closes:#957918)
  * debian/control:
    - Bump DH version, removes legacy compat file
    - Bump S-V to 4.5.0 (no changes required)
  * debian/watch:
    - Update watch file URL to Github repo
  * debian/changelog:
    - Update source URL to Github repo
    - Fix wildcard matching
  * debian/vor.6:
    - Update URL and fix flag in man page

 -- Ana Custura <ana@netstat.org.uk>  Sat, 18 Apr 2020 16:50:53 +0100

vor (0.5.7-3) unstable; urgency=medium

  [ Ana C. Custura ]
  * Updates Standards-Version to 4.2.0
  * Removes dependency on autotools-dev
  * Updates VCS fields
  * Removes trailing whitespaces

 -- Ana Custura <ana@netstat.org.uk>  Thu, 16 Aug 2018 23:12:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>=11),autotools-dev,libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12),libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
+Standards-Version: 4.5.0
 Homepage: https://sametwice.com/vor
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/vor.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/vor.git
+Vcs-Git: https://salsa.debian.org/games-team/vor.git
 
 Package: vor
 Architecture: any

=== debian/watch ===
version=4

   https://github.com/JasonWoof/vor/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
